<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

$now = time();
$version="0.7.11";

$virtual_users = 0;            // If this is set to 1 there is no login possible - 
					           // kimai then creates a virtual user that exists for that very session
					           // and drops the user after the session is closed.
					           // Use this for demo installments.
					
$cryptmethod   = "CRYPT_MD5";  // Possible password encryption methods:
                               //
                               // CRYPT_STD_DES    Standard DES-based encryption with a two character salt
                               // CRYPT_EXT_DES    Extended DES-based encryption with a nine character salt
                               // CRYPT_MD5        MD5 encryption with a twelve character salt starting with $1$
                               // CRYPT_BLOWFISH   Blowfish encryption with a sixteen character salt starting with $2$ or $2a$ 
                               //
                               // in the script the password is encrypted like this: crypt($password,$cryptmethod);


$charsets        = array('utf-8','iso-8859-1');
$charset_descr   = array('UTF-8','iso-8859-1');

$customerhack    = 0; // set to 1 to activate a temporary filter option for PDF printing



if ($virtual_users) {
    session_start();
    session_register("user");
}
?>
