<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

if (!isset($_REQUEST['a'])) $_REQUEST['a'] = '';
if (!isset($_POST['name']) || is_array($_POST['name'])) $name = ""; else $name = $_POST['name'];
if (!isset($_POST['password']) || is_array($_POST['password'])) $password = ""; else $password = $_POST['password'];

ob_start();

// =============================
// = Smarty (initialize class) =
// =============================
require_once('includes/smarty/Smarty.class.php');
$tpl = new Smarty();
$tpl->template_dir = 'templates/';
$tpl->compile_dir  = 'includes/smarty/templates_c';
$tpl->cache_dir    = 'includes/smarty/cache';
$tpl->config_dir   = 'includes/smarty/configs';

// ==================================
// = implementing standard includes =
// ==================================
require( 'includes/conf.php' );
require( 'includes/vars.php' );
require( 'includes/connect.php' );
require( 'includes/func.php' );   
require( "language/${language}.php" );

include('includes/func.login.php');

// ==========================
// = installation required? =
// ==========================
$ready = @mysql_query("select count(*) FROM ${server_prefix}conf;");
if (!$ready) { 
    $tpl->assign('lang', $lang);
    $tpl->assign('version', $version);
    if (isset($_REQUEST['disagreedGPL'])) {
        $tpl->assign('disagreedGPL', 1);
    } else {
        $tpl->assign('disagreedGPL', 0);
    }
    $tpl->display('install/welcome.tpl');
    ob_end_flush();
    exit;
}

// ============================
// = actual database version? =
// ============================
checkDBversion(".");

// =========================
// = User requested logout =
// =========================
if ($_REQUEST['a']=="logout") {
    setcookie ("kimai_key","0"); 
    setcookie ("kimai_usr","0");
    
}

// ===========================
// = User already logged in? =
// ===========================
if (isset($_COOKIE['kimai_usr']) && isset($_COOKIE['kimai_key']) && $_COOKIE['kimai_usr']!='0' && $_COOKIE['kimai_key']!='0' && !$_REQUEST['a']=="logout") {
    if (get_seq($_COOKIE['kimai_usr']) == $_COOKIE['kimai_key']) { 
        header("Location: core/kimai.php");
        exit;
    }
}

// ====================================================
// = load background depending on demo or normal mode =
// ====================================================
if (!$virtual_users) {
    $bgcss = "login_bg.gif";
    $tpl->assign('bgcss', $bgcss);
} else {
    $bgcss = "demo_login_bg.gif";
    $tpl->assign('bgcss', $bgcss);
}

// ==============================================
// = Login active? If not redirect to interface =
// ==============================================
$conf = get_config(0);
if (!$conf['login']) {
    header("Location: core/kimai.php");
    exit;
}

// ====================================
// = Is the client really a browser?? =
// ====================================
$tpl->assign('browser', get_agent());

// ===========================
// = Send HEADER information =
// ===========================
$tpl->display('login/header.tpl');

// =================================================================
// = processing login and displaying either login screen or errors =
// =================================================================

switch($_REQUEST['a']){

case "checklogin":
    $name     = str_replace(" " , "" , strip_tags(trim($name)));
    $password = strip_tags(trim($password));

    if ($virtual_users) { 
        header("Location: core/virtualUser.php");
        exit;
    }

    $passCrypt = crypt($password,$cryptmethod);
    $result = @mysql_query("SELECT * FROM ${server_prefix}usr WHERE usr_name ='$name';");
    $row    = @mysql_fetch_assoc($result);
    $id      = $row['usr_ID'];
    $user    = $row['usr_name'];
    $pass    = $row['pw'];        
    $ban     = $row['ban'];
    $banTime = $row['banTime'];   
    
    if ( ($name==$user) && ($pass==$password || $pass==$passCrypt) && $user!="") { 
        if ($ban <= ($conf['loginTries']-2)) {  
                  $keymai=random_code(30);        
                  setcookie ("kimai_key",$keymai);
                  setcookie ("kimai_usr",$user);
                  @mysql_query("UPDATE ${server_prefix}usr SET secure = '$keymai' , ban=0 , banTime=0 WHERE usr_name = '$user';");
                  header("Location: core/kimai.php");
        } else {
            if ((time() - $banTime) > $conf['loginBanTime']) { 
                  $keymai=random_code(30);        
                  setcookie ("kimai_key",$keymai);
                  setcookie ("kimai_usr",$user);
                  @mysql_query("UPDATE ${server_prefix}usr SET secure = '$keymai' , ban=0 , banTime=0 WHERE usr_name = '$user';");
                  header("Location: core/kimai.php");
            } else {
                  setcookie ("kimai_key","0"); setcookie ("kimai_usr","0");
                  @mysql_query("UPDATE ${server_prefix}usr SET ban=ban+1 WHERE usr_name = '$user';");
                  $tpl->assign('head', $lang['banned']);
			      $tpl->assign('content', $lang['tooManyLogins']); 
			      $tpl->assign('refresh', '<meta http-equiv="refresh" content="5;URL=index.php">');
			      $tpl->display('login/denied.tpl');
            }
        }
    } else {
                  setcookie ("kimai_key","0"); setcookie ("kimai_usr","0");
                  @mysql_query("UPDATE ${server_prefix}usr SET ban=ban+1 WHERE usr_name = '$user';");
                  $tpl->assign('head', $lang['accessDenied']); 
			      $tpl->assign('content', $lang['wrongPass']);
			      $tpl->assign('refresh', '<meta http-equiv="refresh" content="5;URL=index.php">');
			      $tpl->display('login/denied.tpl');
    }
break; 

// ============================================
// = Show login panel depending on (demo)mode =
// ============================================
default:
    $tpl->assign('lang', $lang);
    $tpl->assign('version', $version);

    if (!$virtual_users) {
      $tpl->display('login/panel.tpl');
    } else {
      $tpl->display('login/demopanel.tpl');
    }
break;
}
mysql_close($link); 
ob_end_flush();
?>