<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

if (!isset($_REQUEST['accept'])) {
    header("Location: index.php?disagreedGPL=1");
    exit;
}

include('includes/basics.php');
require_once( "language/${language}.php" );

$randomAdminID = random_number(9);

logfile("-- begin install ----------------------------------",".");

/*
$query= "DROP TABLE `${server_prefix}conf`; " ;
$err=@mysql_query($query);
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}evt`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}grp`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}knd`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}pct`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}usr`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}zef`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
$query= "DROP TABLE `${server_prefix}var`; " ;
$err=@mysql_query($query); 
logfile("$err:$query","."); 
*/
$result=0;

$query=
"CREATE TABLE `${server_prefix}conf` (
  `conf_usrID` int(10) NOT NULL,
  `rowlimit` int(3) NOT NULL,
  `skin` varchar(20) NOT NULL,
  `recordingstate` tinyint(1) NOT NULL DEFAULT '1',
  `lastProject` int(10) NOT NULL DEFAULT '1',
  `lastEvent` int(10) NOT NULL DEFAULT '1',
  `lastRecord` int(10) NOT NULL DEFAULT '0',
  `filter` int(10) NOT NULL DEFAULT '0',
  `filter_knd` int(10) NOT NULL DEFAULT '0',
  `filter_pct` int(10) NOT NULL DEFAULT '0',
  `filter_evt` int(10) NOT NULL DEFAULT '0',
  `view_knd` int(10) NOT NULL DEFAULT '0',
  `view_pct` int(10) NOT NULL DEFAULT '0',
  `view_evt` int(10) NOT NULL DEFAULT '0',
  `zef_anzahl` int(10) NOT NULL DEFAULT '0',
  `timespace_in` varchar(30) NOT NULL DEFAULT '0',
  `timespace_out` varchar(30) NOT NULL DEFAULT '0',
  `autoselection` tinyint(1) NOT NULL DEFAULT '1',
  `quickdelete` tinyint(1) NOT NULL DEFAULT '0',
  `lang` varchar(3) NOT NULL,
  PRIMARY KEY  (`conf_usrID`)
);";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;
// 'filter' is temporary for klaus ;)

      
$query=
"CREATE TABLE `${server_prefix}evt` (
  `evt_ID` int(10) NOT NULL auto_increment,
  `evt_grpID` int(10) NOT NULL,
  `evt_name` varchar(255) NOT NULL,
  `evt_comment` TEXT NOT NULL,
  PRIMARY KEY (`evt_ID`)
) AUTO_INCREMENT=1;";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;

$query=
"CREATE TABLE `${server_prefix}grp` (
  `grp_ID` int(10) NOT NULL auto_increment,
  `grp_name` varchar(20) NOT NULL,
  `grp_leader` int(10) NOT NULL DEFAULT '$randomAdminID',
  `grp_trash` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`grp_ID`)
) AUTO_INCREMENT=1;";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;

$query=
"CREATE TABLE `${server_prefix}ldr` (`grp_ID` int(10) NOT NULL, `grp_leader` int(10) NOT NULL);";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;

$query=
"CREATE TABLE `${server_prefix}knd` (
  `knd_ID` int(10) NOT NULL auto_increment,
  `knd_grpID` int(10) NOT NULL,
  `knd_name` varchar(255) NOT NULL,
  `knd_comment` TEXT NOT NULL,
  `knd_company` varchar(255) NOT NULL,
  `knd_street` varchar(255) NOT NULL,
  `knd_zipcode` varchar(255) NOT NULL,
  `knd_city` varchar(255) NOT NULL,
  `knd_tel` varchar(255) NOT NULL,
  `knd_fax` varchar(255) NOT NULL,
  `knd_mobile` varchar(255) NOT NULL,
  `knd_mail` varchar(255) NOT NULL,
  `knd_homepage` varchar(255) NOT NULL,
  PRIMARY KEY  (`knd_ID`)
) AUTO_INCREMENT=1;";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;

$query=
"CREATE TABLE `${server_prefix}pct` (
  `pct_ID` int(10) NOT NULL auto_increment,
  `pct_grpID` int(10) NOT NULL,
  `pct_kndID` int(3) NOT NULL,
  `pct_name` varchar(255) NOT NULL,
  `pct_comment` TEXT NOT NULL,
  PRIMARY KEY  (`pct_ID`)
) AUTO_INCREMENT=1;";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;

$query=
"CREATE TABLE `${server_prefix}usr` (
  `usr_ID` int(10) NOT NULL,
  `usr_name` VARCHAR(20) NOT NULL,
  `usr_grp` INT(5) NOT NULL DEFAULT '1',
  `usr_sts` TINYINT(1) NOT NULL DEFAULT '2',
  `usr_trash` TINYINT(1) NOT NULL DEFAULT '0',
  `usr_active` TINYINT(1) NOT NULL DEFAULT '1',
  `usr_mail` VARCHAR(25) NOT NULL DEFAULT '',
  `pw` varchar(255) NOT NULL DEFAULT '',
  `ban` INT(1) NOT NULL DEFAULT '0',
  `banTime` INT(7) NOT NULL DEFAULT '0',
  `secure` VARCHAR(30) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`usr_name`)
);";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;


$query=
"CREATE TABLE `${server_prefix}zef` (
  `zef_ID` int(10) NOT NULL auto_increment,
  `zef_in` int(10) NOT NULL default '0',
  `zef_out` int(10) NOT NULL default '0',
  `zef_time` int(6) NOT NULL default '0',
  `zef_usrID` int(10) NOT NULL,
  `zef_pctID` int(10) NOT NULL,
  `zef_evtID` int(10) NOT NULL,
  `zef_comment` TEXT NOT NULL,
  `zef_comment_type` TINYINT(1) NOT NULL DEFAULT '0',
  PRIMARY KEY  (`zef_ID`)
) AUTO_INCREMENT=1;";
$err=@mysql_query($query);
logfile("$err:$query",".");
$result+=$err;

$query=
"CREATE TABLE `${server_prefix}var` (
  `var` varchar(255) NOT NULL,
  `value` varchar(255) NOT NULL,
  PRIMARY KEY  (`var`)  
);";
$err=@mysql_query($query); logfile("$err:$query","."); 
$result+=$err;
//9

// GROUPS
$defaultgrp=$lang['defaultgrp'];
$query="INSERT INTO `${server_prefix}grp` (`grp_name`) VALUES ('admin');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;

// MISC
$query="INSERT INTO `${server_prefix}evt` (`evt_ID`, `evt_grpID`, `evt_name`) VALUES (1, 1, 'testen');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}knd` (`knd_ID`, `knd_grpID`, `knd_name`) VALUES (1, 1, 'Testkunde');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}pct` (`pct_ID`, `pct_grpID`, `pct_kndID`, `pct_name`) VALUES (1, 1, 1, 'Testprojekt');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}conf` (`conf_usrID`, `rowlimit`, `skin`) VALUES ($randomAdminID, 100, 'standard');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}usr` (`usr_ID`,`usr_name`,`pw`,`usr_sts`) VALUES ('$randomAdminID','admin','admin','0');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
// +5

// VARS
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('version', '$version');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('login', '1');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('kimail', 'kimai@yourwebspace.com');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('adminmail', 'admin@yourwebspace.com');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('loginTries', '3');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('loginBanTime', '900');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('lastdbbackup', '0');";
$err=@mysql_query($query); logfile("$err:$query","."); $result+=$err;
$query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('charset', 'utf-8');";
$err=@mysql_query($query); logfile("$err:$query",".");
// +8

// init timespace for admin user to current month
$mon = date("n"); $day = date("j"); $Y = date("Y");
save_timespace(mktime(0,0,0,$mon,1,$Y),mktime(23,59,59,$mon,lastday($month=$mon,$year=$Y),$Y),$randomAdminID);


if ($result!=22) {
    require_once('includes/smarty/Smarty.class.php');
    $tpl = new Smarty();
    $tpl->template_dir = 'templates/';
    $tpl->compile_dir  = 'includes/smarty/templates_c';
    $tpl->cache_dir    = 'includes/smarty/cache';
    $tpl->config_dir   = 'includes/smarty/configs'; 
    $tpl->display('install/error.tpl');
    logfile("-- showing install error --------------------------",".");
} else {
    logfile("-- installation finished without error ------------",".");
    header("Location: index.php");
}
?>
