<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
 
/**
 * français
 * by Willem van Gemert
 */
$lang = array( 
"countryCode"       => "fr-FR",
"preferences"       => "Pr&eacute;f&eacute;rences",
"gesamtzeit"        => "Total",
"monatzeit"         => "Mois",
"heute"             => "aujourd'hui",
"gestern"           => "hier",
"autoOn"            => "Auto On",
"autoOff"           => "Auto Off",
"datum"             => "Date",
"in"                => "Entr&eacute;e",
"out"               => "Sortie",
"time"              => "h'm",
"knd"               => "Client",
"pct"               => "Projet",
"evt"               => "Action",
"knds"              => "Clients",
"pcts"              => "Projets",
"evts"              => "Actions",
"admin"             => "Admin",
"rowlimit"          => "Nombre maximum de lignes",
"breiteZeitspalte"  => "largeur colonne heure",
"breiteUhrspalte"   => "largeur colonne montre",
"breiteDatumspalte" => "largeur colonne date",
"def_pctID"         => "Identifiant projet par d&eacute;fault",
"def_kndID"         => "Identifiant client par d&eacute;fault",
"def_evtID"         => "Identifiant &eacute;v&eacute;nement par d&eacute;fault",
"recommended"       => "recommend&eacute;",
"submit"            => "OK",
"cancel"            => "Annuler",
"edit"              => "Modifier Entr&eacute;e",
"construction"      => "sous construction...",
"about"             => "&Agrave; propos de",
"hours"             => "heures",
"mins"              => "minutes",
"secs"              => "secondes",
"skin"              => "Th&egrave;me",
"erase"             => "Effacer entr&eacute;e",
"new_knd"           => "ajouter client",
"new_pct"           => "ajouter projet",
"new_evt"           => "ajouter &eacute;v&eacute;nement",
"day_summary"       => "R&eacute;sum&eacute; heures",
"plzChoose"         => "Choissisez svp",
"noEntries"         => "Pas d'entr&eacute;es enr&eacute;gistr&eacute;es pour le moment...",
"recordAgain"       => "Enr&eacute;gistrer cet &eacute;v&eacute;nement de nouveau",
"comment"           => "Commenter",
"cookiewarning"     => "Cookies must be accepted! Turn Cookies on before you proceed.",
"JSwarning"         => "JavaScript must be turned on! This version doesn't work without it.",
"designation"       => "designation",
"banned"            => "Banned (Account locked)",
"tooManyLogins"     => "Too many wrong logins - user suspended.",
"accessDenied"      => "Access denied!",
"wrongPass"         => "Wrong Username and/or Password",
"tryAgain"          => "Try again / forgot password?",
"back"              => "Back to login window",
"bye"               => "Bye!",
"login"             => "Login",
"logout"            => "Logout",
"loggedon"          => "Logged on as user:",
"username"          => "Username",
"password"          => "Password",
"newPassword"       => "New Password",
"minLength"         => "min. 5 characters!",
"update"            => "The database structure of the installed Kimai version has to be updated.<br />We recommend to backup your recorded tasks to make sure no data gets lost<br />during the update process.",
"updateNow"         => "Update the database now!",
"stop"              => "Stop!",
"start"             => "Start!",
"setTimespace"      => "set range",
"now"               => "now",
"specify"           => "specify list",
"add"               => "add",
"running"           => "Running...",
"street"            => "Street",
"zipcode"           => "Zipcode",
"city"              => "City",
"telephon"          => "Phone",
"fax"               => "Fax",
"mobilephone"       => "Chellphone",
"mail"              => "E-Mail",
"homepage"          => "Internet",
"users"             => "Users",
"name"              => "Name",
"adduser"           => "Add user",
"addgroup"          => "Add group",
"group"             => "Group",
"groups"            => "Groups",
"advanced"          => "Advanced",
"database"          => "Database",
"options"           => "Options",
"status"            => "Status",
"mode"              => "demo mode = 0 / normal mode (users have to logon) = 1",
"adminmail"         => "email address of administrator",
"logintries"        => "number of false logins before user gets banned",
"bantime"           => "login bantime in seconds",
"lastdbbackup"      => "Last backup",
"runbackup"         => "Backup now",
"defaultgrp"        => "Default (0)",
"regusr"            => "Regular user",
"leaderusr"         => "Leader user",
"adminusr"          => "Admin user",
"editusr"           => "Edit user",
"editgrp"           => "Edit group",
"switchusr"         => "Switch to this user",
"backupusr"         => "Make backup of this user",
"mailusr"           => "Send email to this user",
"delusr"            => "Delete this user",
"bannedusr"         => "Banned user - click to reactivate",
"activeusr"         => "Activ user - click to ban",
"changegrp"         => "Change group",
"members"           => "Members",
"groupleader"       => "Group leader",
"nopassword"        => "no password set",
"noItems"           => "no Entries",
"DBname"            => "Name of database",
"updated"           => "Record(s) updated!",
"autoselection"     => "Autoselection",
"quickdelete"       => "Quick-Delete",
"tools"             => "Tools",
"print"             => "Print",
"save"              => "Save/Export",
"groupname"         => "Group name",

"month_1"           => "Janvier",
"month_2"           => "F&eacute;vrier",
"month_3"           => "Mars",
"month_4"           => "Avril",
"month_5"           => "Mai",
"month_6"           => "Juin",
"month_7"           => "Juillet",
"month_8"           => "Ao&ucirc;t",
"month_9"           => "Septembre",
"month_10"          => "Octobre",
"month_11"          => "Novembre",
"month_12"          => "D&eacute;cembre",

"month_short_1"     => "Jan",
"month_short_2"     => "Feb",
"month_short_3"     => "Mar",
"month_short_4"     => "Apr",
"month_short_5"     => "May",
"month_short_6"     => "Jun",
"month_short_7"     => "Jul",
"month_short_8"     => "Aug",
"month_short_9"     => "Sep",
"month_short_10"    => "Oct",
"month_short_11"    => "Nov",
"month_short_12"    => "Dec",

"day_mon"           => "Lundi",
"day_tue"           => "Mardi",
"day_wed"           => "Mercredi",
"day_thu"           => "Jeudi",
"day_fri"           => "Vendredi",
"day_sat"           => "Samedi",
"day_sun"           => "Dimanche",

"day_short_mon"     => "Mon",
"day_short_tue"     => "Tue",
"day_short_wed"     => "Wed",
"day_short_thu"     => "Thu",
"day_short_fri"     => "Fri",
"day_short_sat"     => "Sat",
"day_short_sun"     => "Sun",

"charset"           => "charset",
"charset_msg"       => "(must be same as database charset)",
"lang"              => "Language",

"ac"                => "Automatically continued entry.",
"ac_error"          => "Automatically continued entry with error (timespan too long).",
"comment_type"      => "Comment type",
"ctype0"            => "Comment",
"ctype1"            => "Notice",
"ctype2"            => "Caution!",
);?>