<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
 
/**
 * italiano
 * by Allesandro Bertoldo
 */
$lang = array(
"countryCode"       => "it-IT",
"preferences"       => "Preferenze",
"gesamtzeit"        => "Totale",
"monatzeit"         => "Mese",
"heute"             => "oggi",
"gestern"           => "ieri",
"autoOn"            => "Auto On",
"autoOff"           => "Auto Off",
"datum"             => "Data",
"in"                => "Inizio",
"out"               => "Fine",
"time"              => "h'm",
"knd"               => "Cliente",
"pct"               => "Progetto",
"evt"               => "Azione",
"knds"              => "Clienti",
"pcts"              => "Progetti",
"evts"              => "Azioni",
"admin"             => "Admin",
"rowlimit"          => "max. linee",
"breiteZeitspalte"  => "larghezza col. ora",
"breiteUhrspalte"   => "larghezza col. ora",
"breiteDatumspalte" => "larghezza col. data",
"def_pctID"         => "ID progetto di default",
"def_kndID"         => "ID cliente di default",
"def_evtID"         => "ID evento di default",
"recommended"       => "raccomandato",
"submit"            => "OK",
"cancel"            => "Annulla",
"edit"              => "Modifica",
"construction"      => "in construzione...",
"about"             => "About",
"hours"             => "ore",
"mins"              => "minuti",
"secs"              => "secondi",
"skin"              => "Tema",
"erase"             => "Cancella",
"new_knd"           => "aggiungi cliente",
"new_pct"           => "aggiungi progetto",
"new_evt"           => "aggiungi evento",
"day_summary"       => "Riassunto ore",
"plzChoose"         => "Prego selezionare",
"noEntries"         => "Ancora nessuna registrazione...",
"recordAgain"       => "Salva l'evento di nuovo",
"comment"           => "Commento",
"cookiewarning"     => "I cookie devo essere accettati! Attivare i cookie per procedere.",
"JSwarning"         => "JavaScript deve essere abilitato! Questa versione altrimenti non funziona.",
"designation"       => "descrizione",
"banned"            => "Banned (Account locked)",
"tooManyLogins"     => "Troppi tentativi falliti - utente sospeso.",
"accessDenied"      => "Acesso negato!",
"wrongPass"         => "Wrong Username and/or Password",
"tryAgain"          => "Riprova / password persa?",
"back"              => "Ritorna al login",
"bye"               => "Bye!",
"login"             => "Login",
"logout"            => "Esci",
"loggedon"          => "Connessom come:",
"username"          => "Username",
"password"          => "Password",
"newPassword"       => "Nuova Password",
"minLength"         => "min. 5 caratteri!",
"update"            => "La struttura del database di Kimai deve essere aggiornata<br />Raccomandiamo di fare un backup dei dati registrati al fine di non perdere informazioni<br />durante il processo di aggiornamento.",
"updateNow"         => "Aggiorna il database adesso!",
"stop"              => "Stop!",
"start"             => "Start!",
"setTimespace"      => "set range",
"now"               => "now",
"specify"           => "specify list",
"add"               => "add",
"running"           => "Running...",
"street"            => "Street",
"zipcode"           => "Zipcode",
"city"              => "City",
"telephon"          => "Phone",
"fax"               => "Fax",
"mobilephone"       => "Chellphone",
"mail"              => "E-Mail",
"homepage"          => "Internet",
"users"             => "Users",
"name"              => "Name",
"adduser"           => "Add user",
"addgroup"          => "Add group",
"group"             => "Group",
"groups"            => "Groups",
"advanced"          => "Advanced",
"database"          => "Database",
"options"           => "Options",
"status"            => "Status",
"mode"              => "demo mode = 0 / normal mode (users have to logon) = 1",
"adminmail"         => "email address of administrator",
"logintries"        => "number of false logins before user gets banned",
"bantime"           => "login bantime in seconds",
"lastdbbackup"      => "Last backup",
"runbackup"         => "Backup now",
"defaultgrp"        => "Default (0)",
"regusr"            => "Regular user",
"leaderusr"         => "Leader user",
"adminusr"          => "Admin user",
"editusr"           => "Edit user",
"editgrp"           => "Edit group",
"switchusr"         => "Switch to this user",
"backupusr"         => "Make backup of this user",
"mailusr"           => "Send email to this user",
"delusr"            => "Delete this user",
"bannedusr"         => "Banned user - click to reactivate",
"activeusr"         => "Activ user - click to ban",
"changegrp"         => "Change group",
"members"           => "Members",
"groupleader"       => "Group leader",
"nopassword"        => "no password set",
"noItems"           => "no Entries",
"DBname"            => "Name of database",
"updated"           => "Record(s) updated!",
"autoselection"     => "Autoselection",
"quickdelete"       => "Quick-Delete",
"tools"             => "Tools",
"print"             => "Print",
"save"              => "Save/Export",
"groupname"         => "Group name",

"month_1"           => "Gennaio",
"month_2"           => "Febbraio",
"month_3"           => "Marzo",
"month_4"           => "Aprile",
"month_5"           => "Maggio",
"month_6"           => "Giugno",
"month_7"           => "Luglio",
"month_8"           => "Agosto",
"month_9"           => "Settembre",
"month_10"          => "Ottobre",
"month_11"          => "Novembre",
"month_12"          => "Dicembre",

"month_short_1"     => "Jan",
"month_short_2"     => "Feb",
"month_short_3"     => "Mar",
"month_short_4"     => "Apr",
"month_short_5"     => "May",
"month_short_6"     => "Jun",
"month_short_7"     => "Jul",
"month_short_8"     => "Aug",
"month_short_9"     => "Sep",
"month_short_10"    => "Oct",
"month_short_11"    => "Nov",
"month_short_12"    => "Dec",

"day_mon"           => "Lunedi",
"day_tue"           => "Martedi",
"day_wed"           => "Mercoledi",
"day_thu"           => "Giovedi",
"day_fri"           => "Venerdi",
"day_sat"           => "Sabato",
"day_sun"           => "Domenica",

"day_short_mon"     => "Mon",
"day_short_tue"     => "Tue",
"day_short_wed"     => "Wed",
"day_short_thu"     => "Thu",
"day_short_fri"     => "Fri",
"day_short_sat"     => "Sat",
"day_short_sun"     => "Sun",

"charset"           => "charset",
"charset_msg"       => "(must be same as database charset)",
"lang"              => "Language",

"ac"                => "Automatically continued entry.",
"ac_error"          => "Automatically continued entry with error (timespan too long).",
"comment_type"      => "Comment type",
"ctype0"            => "Comment",
"ctype1"            => "Notice",
"ctype2"            => "Caution!",
);?>