<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
 
/**
 * nederlands
 * by Paul Brand and Vasilis van Gemert
 */
$lang = array(
"countryCode"       => "dutch",
"preferences"       => "Voorkeuren",
"gesamtzeit"        => "Totaal",
"monatzeit"         => "Maand",
"heute"             => "vandaag",
"gestern"           => "gisteren",
"autoOn"            => "Auto aan",
"autoOff"           => "Auto uit",
"datum"             => "Datum",
"in"                => "van",
"out"               => "tot",
"time"              => "h'm",
"knd"               => "Klant",
"pct"               => "Projekt",
"evt"               => "Aktie",
"knds"              => "Klanten",
"pcts"              => "Projekten",
"evts"              => "Akties",
"admin"             => "Admin",
"rowlimit"          => "max. regels",
"breiteZeitspalte"  => "breedte tijd kolom",
"breiteUhrspalte"   => "breedte klok kolom",
"breiteDatumspalte" => "breedte datum kolom",
"def_pctID"         => "standaard projekt ID",
"def_kndID"         => "standaard klant ID",
"def_evtID"         => "standaard gebeurtenis ID",
"recommended"       => "standaard",
"submit"            => "OK",
"cancel"            => "Annuleer",
"edit"              => "Bewerk entry",
"construction"      => "werk in uitvoering...",
"about"             => "Over",
"hours"             => "uren",
"mins"              => "minuten",
"secs"              => "seconden",
"skin"              => "Kleur schema",
"erase"             => "Wis Entry",
"new_knd"           => "klant toevoegen",
"new_pct"           => "projekt toevoegen",
"new_evt"           => "gebeurtenis toevoegen",
"day_summary"       => "Tijd samenvatting",
"plzChoose"         => "kies aub",
"noEntries"         => "Nog geen tracking entries...",
"recordAgain"       => "Neem deze gebeurtenis nogmaals op",
"comment"           => "Commentaar",
"cookiewarning"     => "Cookies moeten geaccepeerd worden! Activeer het ontvangen van cookies voordat u verder gaat.",
"JSwarning"         => "JavaScript moet aanstaan! Deze versie werkt nog niet zonder JavaScript.",
"designation"       => "omschrijving",
"banned"            => "Banned (Account locked)",
"tooManyLogins"     => "Te veel mislukte inlogpogingen. Inloggen is uitgeschakeld.",
"accessDenied"      => "Toegang geweigerd!",
"wrongPass"         => "Wrong Username and/or Password",
"tryAgain"          => "Probeer opnieuw / Wachtwoord vergeten?",
"back"              => "Terug naar het inlogvenster",
"bye"               => "Tot ziens!",
"login"             => "Inloggen",
"logout"            => "Uitloggen",
"loggedon"          => "Ingelogd als:",
"username"          => "Gebruiker",
"password"          => "Wachtwoord",
"newPassword"       => "Nieuw wachtwoord",
"minLength"         => "minimaal 5 letters!",
"update"            => "De structuur van de huidige Kimai-database moet geupdate worden.<br />Maak voor de zekerheid een back up van uw database zodat u geen gegevens verliest tijdens het updaten.",
"updateNow"         => "De database nu updaten",
"stop"              => "Stop!",
"start"             => "Start!",
"setTimespace"      => "set range",
"now"               => "now",
"specify"           => "specify list",
"add"               => "add",
"running"           => "Running...",
"street"            => "Street",
"zipcode"           => "Zipcode",
"city"              => "City",
"telephon"          => "Phone",
"fax"               => "Fax",
"mobilephone"       => "Chellphone",
"mail"              => "E-Mail",
"homepage"          => "Internet",
"users"             => "Users",
"name"              => "Name",
"adduser"           => "Add user",
"addgroup"          => "Add group",
"group"             => "Group",
"groups"            => "Groups",
"advanced"          => "Advanced",
"database"          => "Database",
"options"           => "Options",
"status"            => "Status",
"mode"              => "demo mode = 0 / normal mode (users have to logon) = 1",
"adminmail"         => "email address of administrator",
"logintries"        => "number of false logins before user gets banned",
"bantime"           => "login bantime in seconds",
"lastdbbackup"      => "Last backup",
"runbackup"         => "Backup now",
"defaultgrp"        => "Default (0)",
"regusr"            => "Regular user",
"leaderusr"         => "Leader user",
"adminusr"          => "Admin user",
"editusr"           => "Edit user",
"editgrp"           => "Edit group",
"switchusr"         => "Switch to this user",
"backupusr"         => "Make backup of this user",
"mailusr"           => "Send email to this user",
"delusr"            => "Delete this user",
"bannedusr"         => "Banned user - click to reactivate",
"activeusr"         => "Activ user - click to ban",
"changegrp"         => "Change group",
"members"           => "Members",
"groupleader"       => "Group leader",
"nopassword"        => "no password set",
"noItems"           => "no Entries",
"DBname"            => "Name of database",
"updated"           => "Record(s) updated!",
"autoselection"     => "Autoselection",
"quickdelete"       => "Quick-Delete",
"tools"             => "Tools",
"print"             => "Print",
"save"              => "Save/Export",
"groupname"         => "Group name",

"month_1"           => "Januari",
"month_2"           => "Februari",
"month_3"           => "Maart",
"month_4"           => "April",
"month_5"           => "Mei",
"month_6"           => "Juni",
"month_7"           => "Juli",
"month_8"           => "Augustus",
"month_9"           => "September",
"month_10"          => "Oktober",
"month_11"          => "November",
"month_12"          => "December",

"month_short_1"     => "Jan",
"month_short_2"     => "Feb",
"month_short_3"     => "Mar",
"month_short_4"     => "Apr",
"month_short_5"     => "May",
"month_short_6"     => "Jun",
"month_short_7"     => "Jul",
"month_short_8"     => "Aug",
"month_short_9"     => "Sep",
"month_short_10"    => "Oct",
"month_short_11"    => "Nov",
"month_short_12"    => "Dec",

"day_mon"           => "maandag",
"day_tue"           => "dinsdag",
"day_wed"           => "woensdag",
"day_thu"           => "donderdag",
"day_fri"           => "vrijdag",
"day_sat"           => "zaterdag",
"day_sun"           => "zondag",

"day_short_mon"     => "Mon",
"day_short_tue"     => "Tue",
"day_short_wed"     => "Wed",
"day_short_thu"     => "Thu",
"day_short_fri"     => "Fri",
"day_short_sat"     => "Sat",
"day_short_sun"     => "Sun",

"charset"           => "charset",
"charset_msg"       => "(must be same as database charset)",
"lang"              => "Language",

"ac"                => "Automatically continued entry.",
"ac_error"          => "Automatically continued entry with error (timespan too long).",
"comment_type"      => "Comment type",
"ctype0"            => "Comment",
"ctype1"            => "Notice",
"ctype2"            => "Caution!",
);?>