<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
 
/**
 * portuguese
 * by Jos Ricardo Cardoso
 */
$lang = array(
"countryCode"       => "pt-PT",
"preferences"       => "Prefer&ecirc;ncias",
"gesamtzeit"        => "Total",
"monatzeit"         => "M&ecirc;s",
"heute"             => "hoje",
"gestern"           => "ontem",
"autoOn"            => "Auto On",
"autoOff"           => "Auto Off",
"datum"             => "Data",
"in"                => "In&iacute;cio",
"out"               => "Fim",
"time"              => "h'm",
"knd"               => "Cliente",
"pct"               => "Projecto",
"evt"               => "Ac&ccedil;&atilde;o",
"knds"              => "Clientes",
"pcts"              => "Projectos",
"evts"              => "Ac&ccedil;&otilde;es",
"admin"             => "Admin",
"rowlimit"          => "max. linhas",
"breiteZeitspalte"  => "largura coluna tempo",
"breiteUhrspalte"   => "largura coluna rel&oacute;gio",
"breiteDatumspalte" => "largura coluna data",
"def_pctID"         => "ID Projecto pr&eacute;definida",
"def_kndID"         => "ID CLiente pr&eacute;definida",
"def_evtID"         => "ID Evento pr&eacute;definida",
"recommended"       => "recomendado",
"submit"            => "OK",
"cancel"            => "Cancel",
"edit"              => "Editar entrada",
"construction"      => "em constru&ccedil;&atilde;o...",
"about"             => "Acerca de",
"hours"             => "horas",
"mins"              => "minutos",
"secs"              => "segundos",
"skin"              => "Skin",
"erase"             => "Apagar entrada",
"new_knd"           => "Adicionar cliente",
"new_pct"           => "Adicionar projecto",
"new_evt"           => "Adicionar evento",
"day_summary"       => "Resumo de tempo",
"plzChoose"         => "por favor selecione",
"noEntries"         => "N&atilde;o existem entradas a registrar...",
"recordAgain"       => "Grave este evento novamente",
"comment"           => "Coment&aacute;rio/notas",
"cookiewarning"     => "Permiss&otilde;es de Cookies ser activadas!.Por favor edite esta op&ccedil;&atilde;o no seu browser antes de continuar.",
"JSwarning"         => "JavaScript deve estar ligado! Esta op&ccedil;&atilde;o &eacute; indispens&aacute;vel para o funcionamento da aplica&ccedil;&atilde;o..",
"designation"       => "designa&ccedil;&atilde;o",
"banned"            => "Banned (Account locked)",
"tooManyLogins"     => "Demasiadas tentativas - conta de utilizador suspensa.",
"accessDenied"      => "Acesso negado!",
"wrongPass"         => "Wrong Username and/or Password",
"tryAgain"          => "Tente novamente/ perdeu a password?",
"back"              => "Voltar &aacute; janela de login.",
"bye"               => "At&eacute; breve!",
"login"             => "Login",
"logout"            => "Logout",
"loggedon"          => "Utilizador:",
"username"          => "Username",
"password"          => "Password",
"newPassword"       => "Nova Password",
"minLength"         => "min. 5 caracteres!",
"update"            => "A estrutura da base de dados da vers&atilde;o instalada do Kimai deve ser actualizada.&lt;br /&gt;Recomendamos que fa&ccedil;a uma c&oacute;pia de seguran&ccedil;a das tarefas j&aacute; gravadas de forma&lt;br /&gt;a assegurar que nenhuma informa&ccedil;&atilde;o &eacute; perdida durante o processo de actualiza&ccedil;&atilde;o.",
"updateNow"         => "Actualizar a base de dados!",
"stop"              => "Stop!",
"start"             => "Start!",
"setTimespace"      => "set range",
"now"               => "now",
"specify"           => "specify list",
"add"               => "add",
"running"           => "Running...",
"street"            => "Street",
"zipcode"           => "Zipcode",
"city"              => "City",
"telephon"          => "Phone",
"fax"               => "Fax",
"mobilephone"       => "Chellphone",
"mail"              => "E-Mail",
"homepage"          => "Internet",
"users"             => "Users",
"name"              => "Name",
"adduser"           => "Add user",
"addgroup"          => "Add group",
"group"             => "Group",
"groups"            => "Groups",
"advanced"          => "Advanced",
"database"          => "Database",
"options"           => "Options",
"status"            => "Status",
"mode"              => "demo mode = 0 / normal mode (users have to logon) = 1",
"adminmail"         => "email address of administrator",
"logintries"        => "number of false logins before user gets banned",
"bantime"           => "login bantime in seconds",
"lastdbbackup"      => "Last backup",
"runbackup"         => "Backup now",
"defaultgrp"        => "Default (0)",
"regusr"            => "Regular user",
"leaderusr"         => "Leader user",
"adminusr"          => "Admin user",
"editusr"           => "Edit user",
"editgrp"           => "Edit group",
"switchusr"         => "Switch to this user",
"backupusr"         => "Make backup of this user",
"mailusr"           => "Send email to this user",
"delusr"            => "Delete this user",
"bannedusr"         => "Banned user - click to reactivate",
"activeusr"         => "Activ user - click to ban",
"changegrp"         => "Change group",
"members"           => "Members",
"groupleader"       => "Group leader",
"nopassword"        => "no password set",
"noItems"           => "no Entries",
"DBname"            => "Name of database",
"updated"           => "Record(s) updated!",
"autoselection"     => "Autoselection",
"quickdelete"       => "Quick-Delete",
"tools"             => "Tools",
"print"             => "Print",
"save"              => "Save/Export",
"groupname"         => "Group name",

"month_1"           => "Janeiro",
"month_2"           => "Fevereiro",
"month_3"           => "Mar&ccedil;o",
"month_4"           => "Abril",
"month_5"           => "Maio",
"month_6"           => "Junho",
"month_7"           => "Julho",
"month_8"           => "Agosto",
"month_9"           => "Setembro",
"month_10"          => "Outubro",
"month_11"          => "Novembro",
"month_12"          => "Dezembro",

"month_short_1"     => "Jan",
"month_short_2"     => "Feb",
"month_short_3"     => "Mar",
"month_short_4"     => "Apr",
"month_short_5"     => "May",
"month_short_6"     => "Jun",
"month_short_7"     => "Jul",
"month_short_8"     => "Aug",
"month_short_9"     => "Sep",
"month_short_10"    => "Oct",
"month_short_11"    => "Nov",
"month_short_12"    => "Dec",

"day_mon"           => "Segunda",
"day_tue"           => "Ter&ccedil;a",
"day_wed"           => "Quarta",
"day_thu"           => "Quinta",
"day_fri"           => "Sexta",
"day_sat"           => "S&aacute;bado",
"day_sun"           => "Domingo",

"day_short_mon"     => "Mon",
"day_short_tue"     => "Tue",
"day_short_wed"     => "Wed",
"day_short_thu"     => "Thu",
"day_short_fri"     => "Fri",
"day_short_sat"     => "Sat",
"day_short_sun"     => "Sun",

"charset"           => "charset",
"charset_msg"       => "(must be same as database charset)",
"lang"              => "Language",

"ac"                => "Automatically continued entry.",
"ac_error"          => "Automatically continued entry with error (timespan too long).",
"comment_type"      => "Comment type",
"ctype0"            => "Comment",
"ctype1"            => "Notice",
"ctype2"            => "Caution!",
);?>