<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">
	
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">

  <head>
    <meta http-equiv="content-type" content="text/html; charset={$conf.charset}" />
    <title>{$usr.usr_name} - Kimai</title>

    <link rel="stylesheet" type="text/css" media="screen" href="../css/jquery.tabs.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="../css/datepicker.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="../css/datePicker.css">
    
    <link rel="stylesheet" type="text/css" media="screen" href="../skins/{$conf.skin}/styles.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="../skins/{$conf.skin}/skin.css" />
    <link rel="stylesheet" type="text/css" media="print" href="../skins/{$conf.skin}/printing.css" />
    
    
    
{if $browser == "msie"}
    <link rel="stylesheet" href="jquery.tabs-ie.css" type="text/css" media="projection, screen" />
    <link rel="stylesheet" type="text/css" media="screen" href="../skins/{$conf.skin}/skin_ie.css" />
{/if}

{if $browser == "Opera"}
    <link rel="stylesheet" type="text/css" media="screen" href="../skins/{$conf.skin}/skin_opera.css" />
{/if}

{if $browser == "Safari"}
    <link rel="stylesheet" type="text/css" media="screen" href="../skins/{$conf.skin}/skin_safari.css" />
{/if}

    <link rel="stylesheet" type="text/css" media="screen" href="../skins/{$conf.skin}/override.css" />


    <script type="text/javascript"> 
        var skin="{$conf.skin}";
        var recordingstate = {$recordingstate};
        var hour           = {$current_timer_hour};
        var min            = {$current_timer_min };
        var sec            = {$current_timer_sec };
        var timespace_from = "{$fromDay|string_format:'%02d'}/{$fromMonth|string_format:'%02d'}/{$fromYear}";
        var timespace_to   = "{$toDay|string_format:'%02d'}/{$toMonth|string_format:'%02d'}/{$toYear}";
        var nextday        = "{$nextday}";
    </script>   
    
    <script type="text/javascript" src="../js/jquery.js"></script>
    <script type="text/javascript" src="../js/jquery.cookie.js"></script>
    <script type="text/javascript" src="../js/jquery.tabs.js"></script>
    
    
    <script type="text/javascript" src="../js/jquery.dimensions.js"></script>
    <script type="text/javascript" src="../js/jquery.datePicker.js"></script>
    <script type="text/javascript" src="../js/date.js"></script>

    <script type="text/javascript">
        {$localized_DatePicker}
    </script>

    <script type="text/javascript" src="../js/customDatePicker.js"></script>
    
    
    <script type="text/javascript" src="../js/main.js"></script>
    <script type="text/javascript" src="../js/init.js"></script>


    <link href="../favicon.ico" rel="shortcut icon" />
    
  </head>


  <body>
    <div id="header">
      <div id="headerstyle">
        <div id="timer">
{$recorder}
        </div>
        <h1><a href="kimai.php" title="{$lang.DBname}: {$database} | Browser: {$browser}">Kimai - Time Tracking For Designers</a></h1>
      
        <!-- Preferences -->
        <ul id="about">
{if $usr.usr_sts == 0}
          <li><a href="#" alt="{$lang.admin}" title="{$lang.admin}" id="butt_admin">{$lang.admin}</a></li>
{else}
          <li><a href="#" title="{$lang.save}" id="butt_save" >{$lang.save}</a></li>
{/if}
          <li><a href="../index.php?a=logout" title="{$lang.logout}" id="butt_logout">{$lang.logout}</a></li>
          <li><a href="#" title="{$lang.about} Kimai"  id="butt_about">{$lang.about}</a></li>
          <li><a href="#" title="{$lang.preferences}" id="butt_pref">{$lang.preferences}</a></li>
          <li><a href="#" title="{$lang.tools}" id="butt_tools">{$lang.tools}</a></li>
          <li><a href="print.php" target="_blank" title="{$lang.print}" id="butt_print">{$lang.print}</a></li>
        </ul>
        <!-- /preferences -->
      
      
        <!-- View options -->
        <form id="selectDateRange" action="selectday.php">
        <fieldset>
          <dl>
              
            <dt>
                <label><a href="#" id="pick_in" class="date-pick">{$lang.in}</a></label>
            </dt>
      
            <dd>
              <input type="text" id="fromDay" tabindex=1 value="{$fromDay}" class="{if $timespace_warning.in}datewarning{/if}" {if $conf.autoselection}onClick="this.select();"{/if} accesskey="d"/>
              <input type="text" id="fromMonth" tabindex=2 value="{$fromMonth}" class="{if $timespace_warning.in}datewarning{/if}" {if $conf.autoselection}onClick="this.select();"{/if} accesskey="m"/>
              <input type="text" id="fromYear" tabindex=5 value="{$fromYear}" class="year {if $timespace_warning.in}datewarning{/if}" {if $conf.autoselection}onClick="this.select();"{/if} accesskey="y"/>
            </dd>
            
            <dt>
                <label><a href="#" id="pick_out" class="date-pick">{$lang.out}</a></label>
            </dt>
      
            <dd>
              <input type="text" id="toDay" tabindex=3 value="{$toDay}" class="{if $timespace_warning.out}datewarning{/if}" {if $conf.autoselection}onClick="this.select();"{/if} accesskey="f"/>
              <input type="text" id="toMonth" tabindex=4 value="{$toMonth}" class="{if $timespace_warning.out}datewarning{/if}" {if $conf.autoselection}onClick="this.select();"{/if} accesskey=","/>
              <input type="text" id="toYear" tabindex=6 value="{$toYear}" class="year {if $timespace_warning.out}datewarning{/if}" {if $conf.autoselection}onClick="this.select();"{/if} accesskey="z"/>
            </dd>
            
          </dl>
        <button type="submit" tabindex="7" id='dateGo' title="{$lang.setTimespace}" onClick="setTimespace(); return false;">{$lang.setTimespace}</button>
        
        </fieldset>
      
        </form>
        
        <div id="datetime">
            {$datetime}
        </div>
        <!-- /view options -->
        
        
        
      
      </div><!-- /headerstyle -->
    </div><!-- /header -->
      
    <div id="main">
      <div id="entries">
        {$zef_display}
      </div><!-- /entries -->
      <div id="projectselection">
        <div class="subject" id="clientTable">
          {$knd_display}
        </div><!-- /clientTable -->
        <div class="subject" id="projectTable">
          {$pct_display}
        </div><!-- /projectTable -->
        <div class="subject" id="actionTable">
          {$evt_display}
        </div><!-- /actionTable -->
      </div><!-- /entries -->
    </div><!-- /main -->
    
    <!--<div id="message">{$language}</div>-->
    <div id="overlay"></div>
    
  </body>
</html>
