/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */

// ================================================
// = Runs when the DOM of the Kimai GUI is loaded =
// ================================================
$(function(){
  tableheight();
  $(window).resize(tableheight);
  if (recordingstate) tellWatchToBeRecording();
  n_uhr();

  $('#butt_admin').click(
    function(){
        overlay_show('admin','0',600,400);
        return false;
    }
  );

  $('#butt_save').click(
    function(){
        //overlay_show('save','0',600,400);
        alert('under construction...');
        return false;
    }
  );

  $('#butt_about').click(
    function(){
        overlay_show('Credits',0,850,500);
        return false;
    }
  );

  $('#butt_pref').click(
    function(){
        overlay_show('Prefs',0,600,250);
        return false;
    }
  );

  $('#butt_tools').click(
    function(){
        $('a').blur();
        alert('Tools are not available yet ...');
        return false;
    }
  );


  $('#message').addClass('off');


  
  /* opera otherwise leaves white gabs right from the header rows of the project tables */
  if($.browser.opera) { 
      $("#projectselection table").css({width:'100%'});
  }
  
  
  
  
  
});
