<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
 
/**
 * deutsch
 */
$lang = array(
"countryCode"       => "de-DE",
"preferences"       => "Einstellungen",
"gesamtzeit"        => "Gesamt",
"monatzeit"         => "Monat",
"heute"             => "heute",
"gestern"           => "gestern",
"autoOn"            => "Arbeitsbeginn",
"autoOff"           => "Pause/Feierabend",
"datum"             => "Datum",
"in"                => "von",
"out"               => "bis",
"time"              => "h'm",
"knd"               => "Kunde",
"pct"               => "Projekt",
"evt"               => "T&auml;tigkeit",
"knds"              => "Kunden",
"pcts"              => "Projekte",
"evts"              => "T&auml;tigkeiten",
"admin"             => "Admin",
"rowlimit"          => "max. Zeilen",
"breiteZeitspalte"  => "Breite Zeitspalte",
"breiteUhrspalte"   => "Breite Uhrspalte",
"breiteDatumspalte" => "Breite Datumspalte",
"def_pctID"         => "Default Projekt ID",
"def_kndID"         => "Default Kunden ID",
"def_evtID"         => "Default Event ID",
"recommended"       => "Empfohlen",
"submit"            => "OK",
"cancel"            => "Abbrechen",
"edit"              => "Eintrag bearbeiten",
"construction"      => "Hier wird noch gebaut...",
"about"             => "&Uuml;ber",
"hours"             => "Stunden",
"mins"              => "Minuten",
"secs"              => "Sekunden",
"skin"              => "Design Schema",
"erase"             => "Eintrag l&ouml;schen",
"new_knd"           => "Kunden hinzuf&uuml;gen",
"new_pct"           => "Projekt hinzuf&uuml;gen",
"new_evt"           => "T&auml;tigkeit hinzuf&uuml;gen",
"day_summary"       => "Tageserfassung",
"plzChoose"         => "bitte ausw&auml;hlen",
"noEntries"         => "Keine Messungen f&uuml;r den angegebenen Zeitraum vorhanden...",
"recordAgain"       => "Dieses Ereignis erneut aufnehmen",
"comment"           => "Kommentar",
"cookiewarning"     => "Bitte schalten Sie Cookies an bevor Sie sich anmelden.",
"JSwarning"         => "JavaScript muss eingeschaltet sein.",
"designation"       => "Bezeichnung",
"banned"            => "Account gesperrt", 
"tooManyLogins"     => "Zu viele falsche Versuche - Benutzer ist gesperrt.",
"accessDenied"      => "Zutritt verweigert!",
"wrongPass"         => "Falscher Benutzername und/oder Passwort", 
"tryAgain"          => "Nochmal versuchen / Passwort vergessen? Wenden Sie sich bitte an den Administrator.",
"back"              => "Zur&uuml;ck zum Login",
"bye"               => "Auf Wiedersehen!",
"login"             => "Login",
"logout"            => "Abmelden",
"loggedon"          => "Angemeldet als Benutzer:",
"username"          => "Benutzer",
"password"          => "Passwort",
"newPassword"       => "Neues Passwort",
"minLength"         => "min. 5 Zeichen!",
"update"            => "Die Datenbank-Struktur der installierten Kimai Version muss aktualisiert werden.<br />Wir empfehlen, vor der Aktualisierung ein Backup Ihrer gespeicherten Zeiterfassung<br />zu machen, um sicher zu gehen, dass Ihre Zeitdaten nicht besch&auml;digt werden.",
"updateNow"         => "Datenbank-Aktualisierung jetzt durchf&uuml;hren!",
"stop"              => "Stopp!",
"start"             => "Start!",
"setTimespace"      => "Zeitraum setzen",
"now"               => "Aktuelle Zeit",
"specify"           => "Liste spezifizieren",
"add"               => "Hinzuf&uuml;gen",
"running"           => "Messung l&auml;uft...",
"street"            => "Stra&szlig;e",
"zipcode"           => "PLZ",
"city"              => "Ort",
"telephon"          => "Tel.",
"fax"               => "Fax",
"mobilephone"       => "Mobil",
"mail"              => "E-Mail",
"homepage"          => "Internet",
"users"             => "Benutzer",
"name"              => "Name",
"adduser"           => "Benutzer hinzuf&uuml;gen",
"addgroup"          => "Gruppe hinzuf&uuml;gen",
"group"             => "Gruppe",
"groups"            => "Gruppen",
"advanced"          => "Erweitert",
"database"          => "Datenbank",
"options"           => "Optionen",
"status"            => "Status",
"mode"              => "demo mode = 0 / normal mode (Benutzer m&uuml;ssen sich Anmelden) = 1",
"adminmail"         => "EMailadresse des Administrators",
"logintries"        => "M&ouml;gliche Loginversuche, bevor der Account gesperrt wird",
"bantime"           => "Zeitraum f&uuml;r den der Account gesperrt wird",
"lastdbbackup"      => "Letztes Backup",
"runbackup"         => "Backup starten",
"defaultgrp"        => "Standard (0)",
"regusr"            => "Benutzer",
"leaderusr"         => "Hauptbenutzer",
"adminusr"          => "Administrator",
"editusr"           => "Benutzer editieren",
"editgrp"           => "Gruppe editieren",
"switchusr"         => "Zu Diesem Benutzerkonto wechseln",
"backupusr"         => "Backup des Account Anlegen",
"mailusr"           => "Email an diesen Benutzer senden",
"delusr"            => "Account l&ouml;schen",
"bannedusr"         => "Account gesperrt - hier klicken zum Aktivieren",
"activeusr"         => "Account aktiv - hier klicken zum Sperren",
"changegrp"         => "Gruppe &auml;ndern",
"members"           => "Mitglieder",
"groupleader"       => "Gruppenleiter",
"nopassword"        => "Kein Passwort gesetzt",
"noItems"           => "Keine Eintr&auml;ge vorhanden",
"DBname"            => "Name der Datenbank",
"updated"           => "Daten wurden aktualisiert!",
"autoselection"     => "Autoselection",
"quickdelete"       => "Schnell l&ouml;schen",
"tools"             => "Werkzeuge",
"print"             => "Drucken",
"save"              => "Save/Export",
"groupname"         => "Gruppen-Name",

"month_1"           => "Januar",
"month_2"           => "Februar",
"month_3"           => "M&auml;rz",
"month_4"           => "April",
"month_5"           => "Mai",
"month_6"           => "Juni",
"month_7"           => "Juli",
"month_8"           => "August",
"month_9"           => "September",
"month_10"          => "Oktober",
"month_11"          => "November",
"month_12"          => "Dezember",

"month_short_1"     => "Jan",
"month_short_2"     => "Feb",
"month_short_3"     => "M&auml;r",
"month_short_4"     => "Apr",
"month_short_5"     => "Mai",
"month_short_6"     => "Jun",
"month_short_7"     => "Jul",
"month_short_8"     => "Aug",
"month_short_9"     => "Sep",
"month_short_10"    => "Okt",
"month_short_11"    => "Nov",
"month_short_12"    => "Dez",

"day_mon"           => "Montag",
"day_tue"           => "Dienstag",
"day_wed"           => "Mittwoch",
"day_thu"           => "Donnerstag",
"day_fri"           => "Freitag",
"day_sat"           => "Samstag",
"day_sun"           => "Sonntag",

"day_short_mon"     => "Mo",
"day_short_tue"     => "Di",
"day_short_wed"     => "Mi",
"day_short_thu"     => "Do",
"day_short_fri"     => "Fr",
"day_short_sat"     => "Sa",
"day_short_sun"     => "So",

"charset"           => "Zeichensatz",
"charset_msg"       => "(muss dem Datenbank Zeichensatz entsprechen)",
"lang"              => "Sprache",

"ac"                => "Automatisch vortgesetzter Eintrag.",
"ac_error"          => "Automatisch vortgesetzter Eintrag mit Fehler (Zeitraum zu lang).",
"comment_type"      => "Kommantar-Art",
"ctype0"            => "Kommentar",
"ctype1"            => "Notiz",
"ctype2"            => "Achtung!",
);?>