{*
 *
 * builds edit dialogue for timesheet record
 *
 *}

 <div id="container">

     <div class="header">
         <a href="" onClick="overlay_hide(); return false;"><img id="closebutton" src="../grfx/close.png" align="right"></a> {$lang.edit}
     </div>


     <div class="content">

         <form>
             
             <fieldset class="ovl_fieldset">
                 
                 <ul>
                 
                    <li>
                        <label for="pct_ID">{$lang.knd}/{$lang.pct}:</label>
                        <select id="edit_pct" name="pct_ID" class="formfield">
                            {html_options values=$sel_pct_IDs output=$sel_pct_names selected=$Project}
                        </select>
                    </li>

                    <li>
                        <label for="evt_ID">{$lang.evt}:</label>
                        <select id="edit_evt" class="formfield" name="evt_ID">
                            {html_options values=$sel_evt_IDs output=$sel_evt_names selected=$Event}
                        </select>
                    </li>
                 
                    <li>
                         <label for="edit_in"><a href="#" id="epick_in" class="date-epick">{$lang.in}:</a></label>
                         <input id='edit_in'      type='text' name='edit_in'      value='{$edit_in}'      maxlength=10 size=10 tabindex=7 {if $conf.autoselection}onClick="this.select();"{/if} /> 
                         <input id='edit_in_time' type='text' name='edit_in_time' value='{$edit_in_time}' maxlength=8  size=8  tabindex=8 {if $conf.autoselection}onClick="this.select();"{/if} />
                         <a href="" onClick="$(this).blur(); $('.hint').slideToggle(); return false;">?</a>
                    </li>

                    <li>
                         <label for="edit_out"><a href="#" id="epick_out" class="date-epick">{$lang.out}:</a></label>
                         <input id='edit_out'      type='text' name='edit_out'      value='{$edit_out}'      maxlength=10 size=10 tabindex=9 {if $conf.autoselection}onClick="this.select();"{/if} />
                         <input id='edit_out_time' type='text' name='edit_out_time' value='{$edit_out_time}' maxlength=8  size=8  tabindex=10 {if $conf.autoselection}onClick="this.select();"{/if} />
                         <a href="#" onClick="pasteNow(); return false;">{$lang.now}</a>
                    </li>
                    
                    <span class="hint">
                        Times and dates can be entered in short notations:<br />
                        5 &raquo; 05.{$smarty.now|date_format:"%m"}.{$smarty.now|date_format:"%Y"} &nbsp;&nbsp; 
                        1004 &raquo; 10.04.{$smarty.now|date_format:"%Y"} &nbsp;&nbsp; 
                        100406 &raquo; 10.04.2006<br />
                        7 &raquo; 07:00:00  &nbsp;&nbsp;
                        14 &raquo; 14:00:00  &nbsp;&nbsp;
                        0910 &raquo; 09:10:00  &nbsp;&nbsp;
                        091020 &raquo; 09:10:20 &nbsp;&nbsp;
                    </span>
                    
                    <li>
                         <label for="edit_in">{$lang.comment}:</label>
                         <textarea id='comment' class='comment' name='zef_comment' cols=95 rows=5 />{$comment}</textarea>
                    </li>
                    
                    <li>
                        <label for="comment_type">{$lang.comment_type}:</label>
                        <select id="comment_type" class="formfield" name="comment_type">
                            {html_options values=$comment_values output=$comment_types selected=$comment_active}
                        </select>
                    </li>
                    
                     <li>
                         <label for="erase">{$lang.erase}:</label>
                         <input type='checkbox' id='erase' name='erase' />
                    </li>
         
                 </ul>

                 <span class="formbuttons">
     		         <input class='btn_norm' type='button' value='{$lang.cancel}' onClick='overlay_hide(); return false;' /> 
                     <input class='btn_ok' onClick="edit_record_go(); return false;" type='button' name='editrecord' value='{$lang.submit}' />
                 </span>

                 <input type='hidden' id='id' name='id' value='{$id}' />
                 
             </fieldset>

         </form>

     </div>
 </div>
 
 
 
 
