<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
    <link rel="SHORTCUT ICON" href="favicon.ico">
    <meta http-equiv="Content-type" content="text/html; charset=utf-8">
    <title>Kimai Installer</title>
    <link rel="stylesheet" type="text/css" media="screen" href="css/login.css" />
</head>
<body>
    <div id='install'>
        
            <form action="install.php" method="post">
                <fieldset>
                    We need to set up the database first. Due to security reasons you should erase the "install.php" file after successful installation!<br /><br />
                    <input type="checkbox" name="accept" value=1 style="width:15px;height:15px;display:inline;">
                  
                    {if $disagreedGPL}<strong style="color:red">{/if} I accept the terms of the GNU GPL Version 2{if $disagreedGPL}</strong>{/if}
                    
                    {if $disagreedGPL}<br /><img src="grfx/caution_kl.gif" width=20 height=18 alt="Caution Kl"> You have to accept the the terms!{/if}
                        
                    <button type="submit">Install</button>
                </fieldset>
            </form>
        
            <p>
                <strong>Kimai <span style="color:red">BETA</span> {$version}</strong> - &copy; 2006/07 Torsten H&ouml;ltge (see credits for details)<br />
                This software is provided under the terms and conditions of the <a href="COPYING">General Public License Version 2</a><br />
                Powered by 
                    <a href="http://www.jquery.com" target="_blank">jQuery</a> |  
                    <a href="http://smarty.php.net/" target="_blank">Smarty</a> | 
                    <a href="http://php.net/" target="_blank">PHP</a> |  
                    <a href="http://mysql.com/" target="_blank">MySQL</a> 
            </p>
    </div>
</body>
</html>