<?php
/**
 * This file is part of 
 * Kimai - Time Tracking For Designers // http://www.kimai.org
 * (c) 2006/07 Torsten Hoeltge
 * 
 * Kimai is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; Version 2 of June 1991.
 * 
 * Kimai is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Kimai; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 *
 */
 
include('includes/basics.php');
require_once( "language/${language}.php" );

$versionDB = get_DBversion();

$version_e = explode(".",$version);
$versionDB_e = explode(".",$versionDB);


if (!isset($_GET['ok'])) {
    
    require_once('includes/smarty/Smarty.class.php');
    $tpl = new Smarty();
    $tpl->template_dir = 'templates/';
    $tpl->compile_dir = 'includes/smarty/templates_c';
    $tpl->cache_dir = 'includes/smarty/cache';
    $tpl->config_dir = 'includes/smarty/configs';
    $tpl->assign('lang',$lang);
    $tpl->display('admin/updater.tpl');
    exit;
} else {
    logfile("-- begin update -----------------------------------",".");
    logfile("DBversion: $versionDB",".");
}

// =============================================
// = Step 1: update DB in versions under 0.5.2 =
// =============================================
if ($versionDB=="0.5.1") {
    
    logfile("-- update from 0.5.1",".");

    $query="ALTER TABLE `${server_prefix}zef` ADD `zef_comment` TEXT NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}evt` ADD `evt_comment` TEXT NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_comment` TEXT NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}pct` ADD `pct_comment` TEXT NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}zef` DROP `zef_kndID` ";
    $err=@mysql_query($query); logfile("$err:$query",".");

    $query= 
    "CREATE TABLE `${server_prefix}var` ( 
    `var` varchar(255) collate utf8_unicode_ci NOT NULL, 
    `value` varchar(255) collate utf8_unicode_ci NOT NULL 
    ) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;";
    $err=@mysql_query($query); logfile("$err:$query",".");

    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('version', '$version');";
    $err=@mysql_query($query); logfile("$err:$query",".");
}


// ===============================
// = update DB for version 0.6.0 =
// ===============================
if ( (int)$versionDB_e[1] < 6 ) {
    
    logfile("-- update from 0.6.0",".");

    $randomAdminID = random_number(9);

    $query="ALTER TABLE `${server_prefix}zef` DROP `zef_kndID`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` CHANGE `usr_ID` `usr_ID` INT(10) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `pw` VARCHAR(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `ban` INT(1) NOT NULL DEFAULT '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `banTime` INT(7) NOT NULL DEFAULT '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `secure` VARCHAR(30) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` DROP PRIMARY KEY , ADD PRIMARY KEY ( `usr_name` );";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="INSERT INTO `${server_prefix}usr` (`usr_ID`,`usr_name`,`pw`) VALUES ('$randomAdminID','admin','admin');";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}conf` CHANGE `conf_usrID` `conf_usrID` INT(10) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}var` ADD PRIMARY KEY ( `var` );";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('login', '1');";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('kimail', 'kimai@yourwebspace.com');";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('adminmail', 'admin@yourwebspace.com');";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('loginTries', '3');";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('loginBanTime', '900');";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="UPDATE `${server_prefix}zef` SET `zef_usrID` = '$randomAdminID' WHERE `zef_ID` > 0 ;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="UPDATE `${server_prefix}usr` SET `usr_ID` = '$randomAdminID' WHERE `usr_name` = 'admin' ;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="UPDATE `${server_prefix}conf` SET `conf_usrID` = '$randomAdminID' WHERE `conf_usrID` = '0' ;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $versionDB_e[0] = 0;
    $versionDB_e[1] = 6;
    $versionDB_e[2] = 0;
}


// ===============================
// = update DB for version 0.7.x =
// ===============================

if ( (int)$versionDB_e[1] < 7 ) {
    
logfile("-- update to 0.7.5",".");
    
    $query="ALTER TABLE `${server_prefix}usr` ADD `usr_grp` INT(5) NOT NULL DEFAULT '1' AFTER `usr_name`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `usr_sts` TINYINT(1) NOT NULL DEFAULT '2' AFTER `usr_grp`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `usr_trash` TINYINT(1) NOT NULL DEFAULT '0' AFTER `usr_sts`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `usr_active` TINYINT(1) NOT NULL DEFAULT '1' AFTER `usr_trash`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}usr` ADD `usr_mail` varchar(255) NOT NULL DEFAULT '' AFTER `usr_active`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_company` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_street` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_zipcode` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_city` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_telephon` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_fax` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_mobilphon` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_mail` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    $query="ALTER TABLE `${server_prefix}knd` ADD `knd_homepage` varchar(255) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
  
logfile("-- update to 0.7.1",".");
    
    $query="ALTER TABLE `${server_prefix}conf` ADD `timespace_in` varchar(30) NOT NULL DEFAULT '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="ALTER TABLE `${server_prefix}conf` ADD `timespace_out` varchar(30) NOT NULL DEFAULT '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="ALTER TABLE `${server_prefix}conf` ADD `autoselection` tinyint(1) NOT NULL DEFAULT '1';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
   


logfile("-- update to 0.7.5",".");
    
    $query="ALTER TABLE `${server_prefix}grp` ADD `grp_leader` int(10) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    
    // admin leader in gruppen eintragen
    
    // sind mehr als ein user in der usr tabelle?
    if (count(get_arr_usr())>1) {
        // wenn ja - heißt einer admin?
        if (get_usr_by_name('admin')) {
            // wenn ja - id rausfinden und für später merken
            $adminusr = get_usr_by_name('admin');
        } else {
            // wenn keiner admin heißt muss hier ausgelesen werden welcher user als erster status 0 hat
            // also der erste admin im alphabeth
            $data  = mysql_query("SELECT usr_name FROM ${server_prefix}usr WHERE usr_sts = '0' LIMIT 1;");
            $row = mysql_fetch_assoc($data);
            mysql_free_result($data);
            // id rausfinden und für später merken
            $adminusr = get_usr_by_name($row['usr_name']);
        }
    }
    
    $query="UPDATE `${server_prefix}grp` SET `grp_leader` = '$adminusr' WHERE `grp_leader` = '' OR `grp_leader` = 0 OR `grp_leader` = 1;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    
    $query="CREATE TABLE `${server_prefix}ldr` (`grp_ID` int(10) NOT NULL, `grp_leader` int(10) NOT NULL);";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="ALTER TABLE `${server_prefix}grp` CHANGE `grp_ID` `grp_ID` INT( 10 ) NOT NULL AUTO_INCREMENT;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="ALTER TABLE `${server_prefix}grp` ADD `grp_trash` TINYINT(1) NOT NULL DEFAULT '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    

logfile("-- group relations bugfix -------------------------",".");

    // ist mehr als eine gruppe vorhanden?

    $data  = mysql_query("SELECT COUNT(*) AS count FROM ${server_prefix}grp;");
    $row = mysql_fetch_assoc($data);
    $count_groups = $row['count'];
    mysql_free_result($data);
    logfile("CountGroups:$count_groups",".");

    if ($count_groups > 1 ) {

        // name von gruppe 1 lesen
        $group1_name = get_grp(1);
        $group1_name = $group1_name['grp_name'];
        
        if ($group1_name != 'admin') {
            
            // neuer letzter eintrag wird jetzige gruppe 1
            //  -> gruppe hinzufügen, 1er wert rein
            $query="INSERT INTO `${server_prefix}grp` (`grp_name`) VALUES ('$group1_name');";
            $err=@mysql_query($query); logfile("$err:$query",".");

            // und mysql_insert_id() ist die neue id der alten 1er gruppe
            $new_id = mysql_insert_id();
            logfile("NewID:$new_id",".");

            // update aller 1er knd evt pct gruppen records auf mysql_insert_id()
            $query="UPDATE `${server_prefix}knd` SET `knd_grpID` = '$new_id' WHERE `knd_grpID` = '1';";
            $err=@mysql_query($query); logfile("$err:$query",".");
            $query="UPDATE `${server_prefix}pct` SET `pct_grpID` = '$new_id' WHERE `pct_grpID` = '1';";
            $err=@mysql_query($query); logfile("$err:$query",".");
            $query="UPDATE `${server_prefix}evt` SET `evt_grpID` = '$new_id' WHERE `evt_grpID` = '1';";
            $err=@mysql_query($query); logfile("$err:$query",".");

            // löschen von gruppe 0
            $query="DELETE FROM `${server_prefix}grp` WHERE `grp_ID` = '0';";
            $err=@mysql_query($query); logfile("$err:$query",".");

            // admin gruppe 1 anlegen
            $query="UPDATE `${server_prefix}grp` SET `grp_name` = 'admin' WHERE `grp_ID` = '1';";
            $err=@mysql_query($query); logfile("$err:$query",".");
        }
    
    }

logfile("---------------------------------------------------",".");

    
    $query="UPDATE `${server_prefix}knd` SET `knd_grpID` = '1' WHERE `knd_grpID` = '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="UPDATE `${server_prefix}pct` SET `pct_grpID` = '1' WHERE `pct_grpID` = '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="UPDATE `${server_prefix}evt` SET `evt_grpID` = '1' WHERE `evt_grpID` = '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");
        
    $query="UPDATE `${server_prefix}usr` SET `usr_grp` = '1' WHERE `usr_grp` = '0';";
    $err=@mysql_query($query); logfile("$err:$query",".");

  
    $versionDB_e[0] = 0;
    $versionDB_e[1] = 7;
    $versionDB_e[2] = 5;
}

if ( ((int)$versionDB_e[1] == 7 && (int)$versionDB_e[2] < 6) ) {

logfile("-- update to 0.7.6",".");

    $query="ALTER TABLE `${server_prefix}conf` ADD `quickdelete` TINYINT(1) NOT NULL DEFAULT '0' AFTER `autoselection`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="ALTER TABLE `${server_prefix}zef` ADD `zef_comment_type` TINYINT(1) NOT NULL DEFAULT '0' AFTER `zef_comment`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    
    $query="ALTER TABLE `${server_prefix}conf` ADD `lang` VARCHAR(3) NOT NULL;";
    $err=@mysql_query($query); logfile("$err:$query",".");

    $query="INSERT INTO `${server_prefix}var` (`var`, `value`) VALUES ('charset', 'utf-8');";
    $err=@mysql_query($query); logfile("$err:$query",".");


    $versionDB_e[0] = 0;
    $versionDB_e[1] = 7;
    $versionDB_e[2] = 6;
}

if ( ((int)$versionDB_e[1] == 7 && (int)$versionDB_e[2] < 7) ) {

logfile("-- update to 0.7.7",".");

    $query="ALTER TABLE `${server_prefix}conf` ADD `lastRecord` VARCHAR( 10 ) NOT NULL DEFAULT '0' AFTER `lastEvent`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    

    $versionDB_e[0] = 0;
    $versionDB_e[1] = 7;
    $versionDB_e[2] = 7;
}

if ( ((int)$versionDB_e[1] == 7 && (int)$versionDB_e[2] < 8) ) {

logfile("-- update to 0.7.8 -- KF Sonderversion",".");
    
    // feld filter wird im KF Provisorium benoetigt
    $query="ALTER TABLE `${server_prefix}conf` ADD `filter` VARCHAR( 10 ) NOT NULL DEFAULT '0' AFTER `lastRecord`;";
    $err=@mysql_query($query); logfile("$err:$query",".");
    

    $versionDB_e[0] = 0;
    $versionDB_e[1] = 7;
    $versionDB_e[2] = 8;
}

if ( ((int)$versionDB_e[1] == 7 && (int)$versionDB_e[2] < 9) ) {

logfile("-- update to 0.7.9",".");

// filter and view features coming in next version ...
    
    $query="ALTER TABLE `${server_prefix}conf` ADD `filter_knd` VARCHAR( 10 ) NOT NULL DEFAULT '0'";
    $err=@mysql_query($query); logfile("$err:$query",".");                                    
                                                                                              
    $query="ALTER TABLE `${server_prefix}conf` ADD `filter_pct` VARCHAR( 10 ) NOT NULL DEFAULT '0'";
    $err=@mysql_query($query); logfile("$err:$query",".");                                    
                                                                                              
    $query="ALTER TABLE `${server_prefix}conf` ADD `filter_evt` VARCHAR( 10 ) NOT NULL DEFAULT '0'";
    $err=@mysql_query($query); logfile("$err:$query",".");                                    
                                                                                              
    $query="ALTER TABLE `${server_prefix}conf` ADD `view_knd` VARCHAR( 10 ) NOT NULL DEFAULT '0'";
    $err=@mysql_query($query); logfile("$err:$query",".");                                    
                                                                                              
    $query="ALTER TABLE `${server_prefix}conf` ADD `view_pct` VARCHAR( 10 ) NOT NULL DEFAULT '0'";
    $err=@mysql_query($query); logfile("$err:$query",".");                                    
                                                                                              
    $query="ALTER TABLE `${server_prefix}conf` ADD `view_evt` VARCHAR( 10 ) NOT NULL DEFAULT '0'";
    $err=@mysql_query($query); logfile("$err:$query",".");
    

    $versionDB_e[0] = 0;
    $versionDB_e[1] = 7;
    $versionDB_e[2] = 9;
}


// ==============================================================================
// = if DB version differs from installment version -> update DB version number =
// ==============================================================================
if ($versionDB != "$version") { 
    $query="UPDATE `${server_prefix}var` SET value = '$version' WHERE var = 'version';";
    $err=@mysql_query($query); logfile("$err:$query",".");
}	 

logfile("-- update finished --------------------------------\n\n\n\n\n",".");
header("Location: index.php");
?>
